# dsigma: a galaxy-galaxy lensing python package

[![Unit Testing Status](https://img.shields.io/github/workflow/status/johannesulf/dsigma/tests?label=tests)](https://github.com/johannesulf/dsigma/actions)
[![Documentation Status](https://img.shields.io/readthedocs/dsigma)](https://dsigma.readthedocs.io/en/latest/)
[![PyPI](https://img.shields.io/pypi/v/dsigma?color=blue)](https://pypi.org/project/dsigma/)
[![License: MIT](https://img.shields.io/github/license/johannesulf/dsigma?color=blue)](https://raw.githubusercontent.com/johannesulf/dsigma/main/LICENSE)
![Language: Python](https://img.shields.io/github/languages/top/johannesulf/dsigma)

![plot](https://raw.githubusercontent.com/johannesulf/dsigma/main/docs/plot.png)

`dsigma` is an easy-to-use python package for analyzing galaxy-galaxy lensing.
It has a broadly applicable API and is optimized for computational efficiency.
While originally intended to be used with the shape catalog of the
Hyper-Suprime Cam (HSC) survey, it should work for other surveys, most
prominently the Dark Energy Survey (DES) and the Kilo-Degree Survey (KiDS).

## Authors

* Johannes Lange
* Song Huang

## Documentation

A documentation for `dsigma` with concept introductions, examples and API
documentation can be found at on [readthedocs](https://dsigma.readthedocs.io/).

## License

`dsigma` is licensed under the MIT License.
